import * as i0 from '@angular/core';
import { InjectionToken, NgModule } from '@angular/core';
import { SocketIO } from '@triniwiz/nativescript-socketio';

const SOCKETIO_URL = new InjectionToken('SOCKETIO_URL');
const SOCKETIO_OPTIONS = new InjectionToken('SOCKETIO_OPTIONS');
function socketIOFactory(url, options) {
    return new SocketIO(url, options);
}
class SocketIOModule {
    static forRoot(url, options = {}) {
        return {
            ngModule: SocketIOModule,
            providers: [
                {
                    provide: SocketIO,
                    useFactory: socketIOFactory,
                    deps: [SOCKETIO_URL, SOCKETIO_OPTIONS]
                },
                { provide: SOCKETIO_URL, useValue: url },
                { provide: SOCKETIO_OPTIONS, useValue: options },
            ]
        };
    }
}
SocketIOModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: SocketIOModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
SocketIOModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.2.10", ngImport: i0, type: SocketIOModule });
SocketIOModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: SocketIOModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.10", ngImport: i0, type: SocketIOModule, decorators: [{
            type: NgModule
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { SOCKETIO_OPTIONS, SOCKETIO_URL, SocketIOModule, socketIOFactory };
//# sourceMappingURL=nativescript-nativescript-socketio-angular.mjs.map
